// 3D Wall and Opens Library
// Paulo C. Ormonde
/*
Always draw by axis

Codes
  
Notations
ya - y axis
sp - start position
ep - end position
hw - wall height
tw - wall thickness
*/

module xwall (ya, sp, ep, tw, hw, z) 
{
   translate([sp , ya-tw/2, z])
    {
       cube (size = [ep-sp,te,hw], center=false);
    }
}


module xopen (ya, sp, ep, tw, hw, z) 
{
   translate([sp , ya-tw/2, z])
    {
       %cube (size = [ep-sp,te,hw], center=false);
    }
}


module ywall (xa, sp, ep, tw, hw, z) 
{
   translate([xa-tw/2, sp, z])
    {
       cube (size = [te, ep-sp, hw], center=false);
    }
}

module yopen (xa, sp, ep, tw, hw, z) 
{
   translate([xa-tw/2, sp, z])
    {
       %cube (size = [te, ep-sp, hw], center=false);
    }
}


// Example
te=14;
hl=16;
h1=280;
y1=500;
x1=157;
x5=877;

xwall(y1,x1,x5,te,h1,0);
xwall(y1,x1,x5,te,h1,h1+hl);

ywall(y1,x1,x5,te,h1,0);
ywall(y1,x1,x5,te,h1,h1+hl);